/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for BodySurfaceAreaEquations
 */
public enum EnumCV_BodySurfaceAreaEquations
{
	//Body Surface Area Equations - CID 3663
	BSA_0_003207_WT_0_7285_0_0188_LOG_WT_HT_0_3_122240("122240"),
	BSA_0_007184_WT_0_425_HT_0_725_122241("122241"),
	BSA_0_0235_WT_0_51456_HTCM_0_42246_122242("122242"),
	BSA_0_024265_WT_0_5378_HTCM_0_3964_122243("122243"),
	BSA_HT_WT_36_0_5_122244("122244"),
	BSA_1321_0_3433_WT_122245("122245"),
	BSA_0_0004688_WT_0_8168_0_0154_LOG_WT_122246("122246"),
	BSA_0_007358_WT_0_425_HT_0_725_122266("122266"),
	BSA_0_010265_WT_0_423_HT_0_651_122267("122267"),
	BSA_0_008883_WT_0_444_HT_0_663_122268("122268"),
	BSA_0_038189_WT_0_423_HT_0_362_122269("122269"),
	BSA_0_009568_WT_0_473_HT_0_655_122270("122270");

	
	private String value;

	EnumCV_BodySurfaceAreaEquations(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
